CREATE TABLE mensajes (
    id INT AUTO_INCREMENT PRIMARY KEY,
    titulo VARCHAR(255) NOT NULL,
    cuerpo TEXT NOT NULL,
    fecha DATETIME DEFAULT CURRENT_TIMESTAMP,
    destinatario ENUM('all','reseller','user') NOT NULL DEFAULT 'all',
    leido_por TEXT DEFAULT NULL
);